xcb_create_pixmap(3)

NAME
xcb_create_pixmap - Creates a pixmap

SYNOPSIS
#include <xcb/xproto.h>

  Request function

xcb_void_cookie_t xcb_create_pixmap(xcb_connection_t *conn, uint8_t depth, xcb_pixmap_t pid, xcb_drawable_t drawable, uint16_t width, uint16_t height);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

depth
    TODO

pid The ID with which you will refer to the new pixmap, created by xcb_generate_id.

drawable
    Drawable to get the screen from.

width
    The width of the new pixmap.

height
    The height of the new pixmap.

DESCRIPTION
Creates a pixmap. The pixmap can only be used on the same screen as drawable is on and only with drawables of the same depth.

RETURN VALUE
Returns an xcb_void_cookie_t. Errors (if any) have to be handled in the event loop. If you want to handle errors directly with xcb_request_check instead, use xcb_create_pixmap_checked. See xcb-requests(3) for details.

ERRORS

xcb_drawable_error_t
    The specified drawable (Window or Pixmap) does not exist.

xcb_alloc_error_t
    The X server could not allocate the requested resources (no memory?).

xcb_value_error_t
    TODO: reasons?

SEE ALSO
xcb-requests(3), xcb_generate_id(3)

AUTHOR
Generated from xproto.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.